Subject: [hiprg] fwd: [rrg] New Version Notification for draft-xu-rangi-proxy-01

From: Xu Xiaohu <[email-masked]>
Date: Fri, 24 Jul 2009 10:47:26 +0800

Hi all,

I just updated the draft of the proxy mechanism for RANGI
(http://www.ietf.org/internet-drafts/draft-xu-rangi-proxy-01.txt), a kind of
id/locator split approach.  Since I believe most parts of the proxy
mechanisms described in this draft can also be suitable for HIP,  I  mention
it here, too.

The major changes from the -00 version are as follows (note: the -00 draft
had been presented on the HIPRG session of IETF74):

1. Except of the site proxy mechanism defined in the -00 version,  a transit
proxy mechanism is introduced to support communications from legacy IPv6
hosts to RANGI hosts in the scenario where the legacy site network has not
yet deployed any site proxy.  With this mechanism, the transit proxies are
deployed in the transit networks by ISPs and the identifier-based routing is
also supported in the transit netwroks. To some extent, the transit proxy is
similar to the APR in the VA
(http://tools.ietf.org/html/draft-ietf-grow-va-00) and the PTR in the LISP.

2.  For RANGI hosts to initiate communications with the legacy hosts in the
above scenario, the RANGI hosts will establish sessions in the traditional
IPv6 fashion once they recognizes that the identifiers of the destination
hosts are IPv6 addresses (i.e. locators).

Any comments are welcome.

Xiaohu

> -----邮件原件-----
> 发件人: Xu Xiaohu [mailto:[email-masked]] 
> 发送时间: 2009年7月13日 12:17
> 收件人: 'Xu Xiaohu'; 'IRTF RRG'
> 主题: 答复: [rrg] New Version Notification for draft-xu-rangi-proxy-01
> 
> 
> The link is attached. 
> http://www.ietf.org/internet-drafts/draft-xu-rangi-proxy-01.txt
> 
> Xiaohu
>  
> 
> > -----邮件原件-----
> > 发件人: [email-masked] [mailto:[email-masked]] 代表 Xu
Xiaohu
> > 发送时间: 2009年7月13日 11:42
> > 收件人: 'IRTF RRG'
> > 主题: Re: [rrg] New Version Notification for draft-xu-rangi-proxy-01
> > 
> > Hi all,
> > 
> > A updated version of draft-xu-rangi-proxy has just been submitted. 
> > This document describes some transition mechanisms for the RANGI 
> > (Routing Architecture for the Next Generation
> > Internet) . The major changes from the -00 version are as follows:
> > 
> > 1. Except of the site proxy mechanism defined in the -00 
> version,  a 
> > transit proxy mechanism is introduced to support 
> communications from 
> > legacy IPv6 hosts to RANGI hosts in the scenario where the 
> legacy site 
> > network has not yet deployed any site proxy.  With this 
> mechanism, the 
> > transit proxies are deployed in the transit networks by 
> ISPs and the 
> > identifier-based routing is also supported in the transit 
> netwroks. To 
> > some extent, the transit proxy is similar to the APR in the VA
> > (http://tools.ietf.org/html/draft-ietf-grow-va-00) and the 
> PTR in the 
> > LISP.
> > 
> > 2.  For RANGI hosts to initiate communications with the 
> legacy hosts 
> > in the above scenario, the RANGI hosts will establish 
> sessions in the 
> > traditional
> > IPv6 fashion once they recognizes that the identifiers of the 
> > destination hosts are IPv6 addresses (i.e. locators).
> > 
> > 3. Some editorial updates.
> > 
> > Any comments are welcome.
> > 
> > Xiaohu
> >  
> > 
> > > -----邮件原件-----
> > > 发件人: IETF I-D Submission Tool [mailto:[email-masked]]
> > > 发送时间: 2009年7月13日 10:48
> > > 收件人: [email-masked]
> > > 主题: New Version Notification for draft-xu-rangi-proxy-01
> > > 
> > > 
> > > A new version of I-D, draft-xu-rangi-proxy-01.txt has been
> > successfuly
> > > submitted by Xiaohu Xu and posted to the IETF repository.
> > > 
> > > Filename:	 draft-xu-rangi-proxy
> > > Revision:	 01
> > > Title:		 Transition Mechanisms for Routing 
> > > Architecture for the Next Generation Internet (RANGI)
> > > Creation_date:	 2009-07-13
> > > WG ID:		 Independent Submission
> > > Number_of_pages: 9
> > > 
> > > Abstract:
> > > The Routing Architecture for the Next Generation Internet
> > > (RANGI) described in [RANGI] is a proposal for solving routing 
> > > scalability, mobility, multihoming, traffic engineering and other 
> > > issues facing the current Internet.
> > > This document describes some transition mechanisms for the
> > RANGI. With
> > > these mechanisms, legacy IPv4 and IPv6 hosts can communicate with 
> > > RANGI hosts, and vice versa.
> > >                                                               
> > >                     
> > > 
> > > 
> > > The IETF Secretariat.
> > > 
> > > 
> > 
> > _______________________________________________
> > rrg mailing list
> > [email-masked]
> > http://www.irtf.org/mailman/listinfo/rrg
> >